Subject: Re: [PATCH] ibmvnic: Properly dispose of all skbs during a failover.

From: Jakub Kicinski <[email-masked]>
Date: Thu, 30 Jun 2022 10:52:18 -0700

On Wed, 29 Jun 2022 17:03:17 -0700 Rick Lindsley wrote:
>     During a reset, there may have been transmits in flight that are no
>     longer valid and cannot be fulfilled.  Resetting and clearing the
>     queues is insufficient; each skb also needs to be explicitly freed
>     so that upper levels are not left waiting for confirmation of a
>     transmit that will never happen.  If this happens frequently enough,
>     the apparent backlog will cause TCP to begin "congestion control"
>     unnecessarily, culminating in permanently decreased throughput.
> 
>     This was noted during testing of heavy data transfers in
>     conjunction with multiple consecutive device failovers.

The indentation in the patch itself is unnecessary, git adds it when
formatting the output of git log (I'm guessing that's the reason you
went this way). Note that the same goes for the subject which looks
padded with spaces from the left.

Please add a Fixes tag pointing at a commit which introduced the
behavior (initial git commit if it's always been there), and repost 
with [PATCH net v2] in the subject.

Please keep the review tags you already received when reposting.